org.bouncycastle.cms

## Interface CMSAttributeTableGenerator

All Known Implementing Classes:
  DefaultSignedAttributeTableGenerator, SimpleAttributeTableGenerator

    public interface CMSAttributeTableGenerator

Note: The SIGNATURE parameter is only available when generating unsigned attributes.

### Field Summary

Fields
`static java.lang.String` `CONTENT_TYPE`
`static java.lang.String` `DIGEST`
`static java.lang.String` `DIGEST_ALGORITHM_IDENTIFIER`
`static java.lang.String` `SIGNATURE`

### Method Summary

Methods
`org.bouncycastle.asn1.cms.AttributeTable` `getAttributes(java.util.Map parameters)`

### Field Detail

#### CONTENT_TYPE

    static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

#### DIGEST

    static final java.lang.String DIGEST

See Also:
  Constant Field Values

#### SIGNATURE

    static final java.lang.String SIGNATURE

See Also:
  Constant Field Values

#### DIGEST_ALGORITHM_IDENTIFIER

    static final java.lang.String DIGEST_ALGORITHM_IDENTIFIER

See Also:
  Constant Field Values

### Method Detail

#### getAttributes

    org.bouncycastle.asn1.cms.AttributeTable getAttributes(java.util.Map parameters)
                                                           throws CMSAttributeTableGenerationException

Throws:
  `CMSAttributeTableGenerationException`